package com.qmth.themis.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.themis.business.dto.response.TBOrgDto;
import com.qmth.themis.business.entity.TBOrg;
import com.qmth.themis.business.enums.TaskStatusEnum;
import com.qmth.themis.business.enums.TaskTypeEnum;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Description: 机构 Mapper 接口
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Mapper
public interface TBOrgMapper extends BaseMapper<TBOrg> {

    /**
     * 查询机构分页信息
     *
     * @param iPage
     * @param code
     * @param name
     * @param enable
     * @return
     */
    public IPage<TBOrgDto> queryByPage(IPage<Map> iPage, @Param("code") String code, @Param("name") String name, @Param("enable") Integer enable);
}
