package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.dto.response.TIeExamInvigilateCallDto;
import com.qmth.themis.business.entity.TIeExamInvigilateCall;

import java.util.Map;

/**
 * @Description: 监考监控通话申请 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TIeExamInvigilateCallService extends IService<TIeExamInvigilateCall> {

    /**
     * 监考监控通话申请查询
     *
     * @param iPage
     * @param examId
     * @param userId
     * @param orgId
     * @param status
     * @param callStatus
     * @return
     */
    public IPage<TIeExamInvigilateCallDto> examInvigilateCallQuery(IPage<Map> iPage, Long examId, Long userId, Long orgId, String status, String callStatus);

    /**
     * 监考监控通话count查询
     *
     * @param examId
     * @param userId
     * @param orgId
     * @param status
     * @param callStatus
     * @return
     */
    public Integer examInvigilateCallQueryCount(Long examId, Long userId, Long orgId, String status, String callStatus);
}
